public class PolyhedralDie extends AbstractRandomizer {
	// Instance Variables
	private int numSides;
	
	// Constructor Methods
	public PolyhedralDie() {
		numSides=6;
		randomize();
	}
	public PolyhedralDie(int setNumSides) {
		numSides=setNumSides;
		randomize();
	}
	// Getter Methods
	public int getPossibleOutcomes() {
		return numSides;
	}
	public String getCurrentFace() {
		return Integer.toString(getCurrentValue());
	}	
	public String toString() {
		return "d"+numSides+"="+getCurrentFace();
	}
}
