/**
 * A BoggleDie has six sides with one letter on each side. We could simply use a LabeledPolyhedralDie
 * but we want to make it easier to make a BoggleDie so we will write a special constructor.
 * @author Braskin, Aaron
 * @version February 20th, 2015
 */
public class BoggleDie extends LabeledPolyhedralDie {
	public static String[] lettersToArray(String letters) {
		String[] arr={"?","?","?","?","?","?"};
		int labels=letters.length();
		if (labels>arr.length) {
			labels=arr.length;
		}
		for (int i=0; i<labels; i++) {
			arr[i]=letters.substring(i, i+1).toUpperCase();
		}
		return arr;		
	}
	public BoggleDie(String letters) {
		super(BoggleDie.lettersToArray(letters));
	}
	public String toString() {
		String s=getCurrentFace();
		if (s.equals("Q")) {
			s=s+"u";
		}
		return s;
	}
}