public class LabeledDie implements Randomizer {
	// Instance Variables
	String[] faces;
	int faceUpIndex;
	public LabeledDie() {
		faces=new String[6];
		for (int i=0; i<faces.length; i++) {
			this.faces[i]=Integer.toString(i+1);
		}	
		randomize();
	}
	public LabeledDie(String[] setFaces) {
		faces=new String[setFaces.length];
		for (int i=0; i<setFaces.length; i++) {
			faces[i]=setFaces[i];
		}
		randomize();
	}
	// Getters
	public int getPossibleOutcomes() {
		return faces.length;
	}
	public int getCurrentValue() {
		return faceUpIndex+1;
	}
	public String getCurrentFace() {
		return faces[faceUpIndex];
	}
	// Setters (or Mutators)
	public void randomize() {
		faceUpIndex=(int)(Math.random()*faces.length);
	}
	public String toString() {
		String s="d"+faces.length+"="+getCurrentFace();
		return s+"("+getCurrentValue()+")";
	}
}
