public class LabeledPolyhedralDie extends PolyhedralDie {
	// Instance Variables
	private String[] sideLabels;
	
	// Constructor Methods
	public LabeledPolyhedralDie() {
		super();
		sideLabels=new String[getPossibleOutcomes()];
		for (int i=0; i<sideLabels.length; i++) {
			sideLabels[i]=""+(i+1);
		}
	}
	public LabeledPolyhedralDie(String[] setSideLabels) {
		super(setSideLabels.length);
		sideLabels=new String[getPossibleOutcomes()];
		for (int i=0; i<sideLabels.length; i++) {
			sideLabels[i]=setSideLabels[i];
		}
	}
	
	// Getter Methods
	public String getCurrentFace() {
		return sideLabels[getCurrentValue()-1];
	}
	public String toString() {
		return super.toString()+"("+getCurrentValue()+")";
	}
}